/* Thank you Heydon on Codepen! */

/* file tree lists */

body {
  background-image: url("https://sadhost.neocities.org/images/tiles/stars3.gif");
  background-repeat: repeat;
  filter: invert(1);
  padding: 10%;
  width: 100vw;
  height: 100vh;
}

.file-tree ul {
  font-family: courier;
  margin: 0;
  padding-left: 3rem;
  list-style: none;
  line-height: 1.25;
  position: relative;
  overflow: hidden;
}

.file-tree li:not(:last-child) > ul::before {
  content: '\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020\2502\0020';
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 1em;
}

.file-tree > ul {
  margin: 0;
  padding: 0;
}

.file-tree li {
  background: #fff;
  position: relative;
}

.file-tree li::before {
  content: '\251C\2500\2500\0020';
}

.file-tree li:last-child::before {
  content: '\2514\2500\2500\0020';
}
